# frozen_string_literal: true

module PunctuationName
    US_NAMES = { '!' => 'exclamation mark',
                 '@' => 'at sign',
                 '#' => 'hash',
                 '£' => 'pound',
                 '$' => 'dollar',
                 '%' => 'percent',
                 '^' => 'carat',
                 '&' => 'ampersand',
                 '*' => 'asterisk',
                 '(' => 'open parenthesis',
                 ')' => 'close parenthesis',
                 '-' => 'hyphen',
                 '_' => 'underscore',
                 '+' => 'plus',
                 '=' => 'equal sign',
                 '{' => 'open brace',
                 '}' => 'close brace',
                 '[' => 'open bracket',
                 ']' => 'close bracket',
                 ';' => 'semi colon',
                 ':' => 'colon',
                 '"' => 'quote',
                 '|' => 'pipe',
                 '~' => 'tilde',
                 '`' => 'backtick',
                 '<' => 'less than',
                 '>' => 'greater than',
                 '?' => 'question mark',
                 ',' => 'comma',
                 '.' => 'period',
                 '/' => 'forward slash',
                 ' ' => 'space',
                 '\'' => 'apostrophe',
                 '\\' => 'back slash' }.freeze
end
